Subject: Re

From: SHI-ZHANG SHANG <[email-masked]>
Date: Mon, 14 Mar 94 14:07:43 CST

I read your letter "Re: My name". When I received the Approval letter, the
INS Eastern Service Cenetr was on the form. After some days I received the
contacting letter (but not Approval Letter) from the Consulate of Guangzhou
in China but not from Beijing. From that letter it asked me some information
about my relative in China. I am sorry that I do not know how to answer your
question about whether Beijing Consulate will forward your information to
Beijing. I think if Beijing Consulate can treat your application they do not
need to transfer your information to Guangzhou or if Beijing Consulate does
not treat this application they will transfer. This is only for your
reference and goodgye.